/**
 * Type guard to check if a filter is a {@link NumberRangeFilter}.
 *
 * @param filter - The filter to check.
 *
 * @returns True if the filter is a {@link NumberRangeFilter}, false otherwise.
 *
 * @public
 */
function isNumberRangeFilter(filter) {
    return filter.modelName === 'NumberRangeFilter';
}

export { isNumberRangeFilter };
