/**
 * Type guard to check if a facet is an {@link HierarchicalFacet}.
 *
 * @param facet - The facet to check.
 *
 * @returns True if the facet is a {@link HierarchicalFacet}, false otherwise.
 *
 * @public
 */
function isHierarchicalFacet(facet) {
    return facet.modelName === 'HierarchicalFacet';
}

export { isHierarchicalFacet };
